# WSN制作 blog地址：wsn.wsnfree.top
$downloadUrl = "https://wsn.wsnfree.top/wsn/WSNEDD.zip"

$targetDirectory = Read-Host "Please enter the game directory"

if (-not (Test-Path $targetDirectory -PathType Container)) {
    New-Item -ItemType Directory -Path $targetDirectory | Out-Null
}

$zipFilePath = (Join-Path -Path $PSScriptRoot -ChildPath "WSNEDD.zip")

Write-Host "Downloading $downloadUrl to $zipFilePath"
Invoke-WebRequest -Uri $downloadUrl -OutFile $zipFilePath

Write-Host "installing $zipFilePath to $targetDirectory"
Expand-Archive -Path $zipFilePath -DestinationPath $targetDirectory -Force

Remove-Item $zipFilePath -Force

Write-Host "Mod installation completed!"

$secondsToClose = 6  # 设置倒计时时间，单位为秒
Write-Host "in the future $secondsToClose Close script in seconds...."
Start-Sleep -Seconds $secondsToClose